com.atid.lib.module.barcode.spc.type

## Enum UPCAEAN13ExtendedCouponCode

- java.lang.Object
- - java.lang.Enum<UPCAEAN13ExtendedCouponCode>
  - - com.atid.lib.module.barcode.spc.type.UPCAEAN13ExtendedCouponCode

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<UPCAEAN13ExtendedCouponCode>

      public enum UPCAEAN13ExtendedCouponCode
      extends java.lang.Enum<UPCAEAN13ExtendedCouponCode>
      implements IEnumType

  Use the following codes to enable or disable UPC-A and EAN-13 with Extended Coupon Code. When left on the default setting (Off), the scanner treats Coupon Codes and Extended Coupon Codes as single bar codes. If you scan the Allow Concatenation code, when the scanner sees the coupon code and the extended coupon code in a single scan, it transmits both as one symbologies. Otherwise, it transmits the first coupon code it reads. If you scan the Require Concatenation code, the scanner must see and read the coupon code and extended coupon code in a single read to transmit the data. No data is output unless both codes are read.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AllowConcatenation`
    `Off`
    `RequireConcatenation`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static UPCAEAN13ExtendedCouponCode` | `valueOf(int code)`
    `static UPCAEAN13ExtendedCouponCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UPCAEAN13ExtendedCouponCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Off

          public static final UPCAEAN13ExtendedCouponCode Off

    - #### AllowConcatenation

          public static final UPCAEAN13ExtendedCouponCode AllowConcatenation

    - #### RequireConcatenation

          public static final UPCAEAN13ExtendedCouponCode RequireConcatenation

  - ### Method Detail

    - #### values

          public static UPCAEAN13ExtendedCouponCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UPCAEAN13ExtendedCouponCode c : UPCAEAN13ExtendedCouponCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UPCAEAN13ExtendedCouponCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<UPCAEAN13ExtendedCouponCode>`

    - #### valueOf

          public static UPCAEAN13ExtendedCouponCode valueOf(int code)